## org.apache.mahout.utils.io
Class ChunkedWrapper

    java.lang.Object
      org.apache.mahout.utils.io.ChunkedWrapper

All Implemented Interfaces:
  Closeable, WrappedWriter

    public class ChunkedWrapper

extends Object
implements WrappedWriter

`ChunkedWriter` based implementation of the `WrappedWriter` interface.

Constructor Summary
`ChunkedWrapper(ChunkedWriter writer)`

Method Summary
`void` `close()`
`void` `write(String key, String value)` Writes a new key-value pair.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChunkedWrapper

    public ChunkedWrapper(ChunkedWriter writer)

Method Detail

### write

    public void write(String key,
                      String value)
               throws IOException

  Description copied from interface: `WrappedWriter`
  Writes a new key-value pair.

  Specified by:
    `write` in interface `WrappedWriter`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.